Subject: Re: [PATCH] Add warning about known issues to documentation of cvsimport

From: "Ferry Huberts (Pelagic)" <[email-masked]>
Date: Tue, 31 Mar 2009 07:36:16 +0200

Heiko Voigt wrote:
> On Mon, Mar 23, 2009 at 09:33:55PM +0100, Ferry Huberts (Pelagic) wrote:
>> maybe you can also add remarks about autocrlf and safecrlf?
>> both need to be off
> 
> From my experience thats not necessarily true. You can use
> autocrlf=input to repair broken revisions were crlf's have been
> mistakenly committed into the repository. And if I remember correctly
> safecrlf helps if you want to make sure that no information gets lost.
> 
> So when importing from a nice correct cvs repository you would expect
> safecrlf to not stop your import. And I suspect there are actually cvs
> users that were very careful with their lineendings who would use it.
> 
> cheers Heiko
If you look at this thread:
http://thread.gmane.org/gmane.comp.version-control.git/110152/focus=110358
you'll see why I said it. I did some testing to prove my statement.

Ferry